import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { useTranslation, I18nextProvider } from 'react-i18next';
export const CustomWidget = ({ fields, path, component: View, namespace, }) => {
    const { i18n } = useTranslation();
    return (_jsx(I18nextProvider, { i18n: i18n, defaultNS: namespace, children: _jsx(View, { fields: fields, path: path }) }));
};
